> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form

> Get a form by id



## OpenAPI

````yaml get /v1.0/{company_id}/forms/application/{form_id}
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/forms/application/{form_id}:
    get:
      tags:
        - JobForms
      operationId: JobForms_GetForm
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: form_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
        - name: include_archived_questions_and_options
          in: query
          schema:
            type: boolean
            default: false
          x-position: 3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfDefaultFormOptionDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SingleResponseOfDefaultFormOptionDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/DefaultFormOptionDto'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    DefaultFormOptionDto:
      type: object
      additionalProperties: false
      properties:
        current_title:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        current_company:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        location:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        phone:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        resume:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
        cover_letter:
          $ref: '#/components/schemas/JobFieldStatusEnum'
          nullable: true
    JobFieldStatusEnum:
      type: string
      description: ''
      x-enumNames:
        - 'Off'
        - Optional
        - Required
      enum:
        - 'off'
        - optional
        - required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````